Page MenuHomePhabricator

bryce - remove clock SEGV
Closed, ResolvedPublic

Description

FreeBSD X11 latest.

Crash occurred removing clock from bryce.

I had two clocks on the bryce - one digital one analogue. removed digital...

#25 0x00000000004433b5 in main (argc=1, argv=0x7fffffffe7c0) at e_main.c:1081
#0  0x000000080a4ab88a in _sigsuspend () from /lib/libc.so.7
#1  0x0000000809d704d9 in pthread_sigmask () from /lib/libthr.so.3
#2  0x000000080a431015 in pause () from /lib/libc.so.7
#3  0x00000000005f1637 in e_alert_show () at e_alert.c:43
#4  0x0000000000595ac2 in _e_crash () at e_signals.c:96
#5  0x0000000000595a98 in e_sigseg_act (x=11, info=0x7ffffffc59b0, data=0x7ffffffc5640) at e_signals.c:106
#6  0x0000000809d70934 in pthread_sigmask () from /lib/libthr.so.3
#7  0x0000000809d6fecf in pthread_getspecific () from /lib/libthr.so.3
#8  <signal handler called>
#9  _clock_gadget_removed_cb (data=0x819631700, obj=0x80000007539fe473, event_info=0x800000139ba05580) at src/modules/time/clock.c:369
#10 0x0000000803eb4938 in _eo_evas_smart_cb (data=0x81b041710, event=0x7ffffffc5c70) at evas_object_smart.c:77
#11 0x0000000809184f29 in _event_callback_call (obj_id=0x80000007539fe473, pd=0x81964e440, desc=0x80f151180, event_info=0x800000139ba05580, legacy_compare=1 '\001') at eo_base_class.c:1496
#12 0x0000000809182963 in _efl_object_event_callback_legacy_call (obj_id=0x80000007539fe473, pd=0x81964e440, desc=0x80f151180, event_info=0x800000139ba05580) at eo_base_class.c:1569
#13 0x000000080917d5bb in efl_event_callback_legacy_call (obj=0x80000007539fe473, desc=0x80f151180, event_info=0x800000139ba05580) at eo_base_class.c:1572
warning: (Internal error: pc 0x803ea68d2 in read in psymtab, but not in symtab.)

warning: (Internal error: pc 0x803ea68d2 in read in psymtab, but not in symtab.)

#14 0x0000000803ea68d3 in _efl_canvas_object_efl_object_event_callback_legacy_call () at evas_object_main.c:1016
#15 0x000000080917d5bb in efl_event_callback_legacy_call (obj=0x80000007539fe473, desc=0x80f151180, event_info=0x800000139ba05580) at eo_base_class.c:1572
#16 0x0000000803eb4db8 in evas_object_smart_callback_call (eo_obj=0x80000007539fe473, event=0x6021a1 "gadget_removed", event_info=0x800000139ba05580) at evas_object_smart.c:865
#17 0x00000000005224e2 in _gadget_remove (zgc=0x818aa3da0) at e_gadget.c:852
#18 0x00000000005224a5 in _gadget_menu_remove (data=0x818aa3da0, m=0x8197c2140, mi=0x8278a9a80) at e_gadget.c:863
#19 0x000000000056600f in _e_menu_active_call () at e_menu.c:2056
#20 0x0000000000560207 in _e_menu_cb_mouse_up (data=0x0, type=19, event=0x816dc8360) at e_menu.c:2789
#21 0x0000000807600278 in _ecore_call_handler_cb (func=0x5600a0 <_e_menu_cb_mouse_up>, data=0x0, type=19, event=0x816dc8360) at ecore_private.h:325
#22 0x00000008075ffd57 in _ecore_event_call () at ecore_events.c:518
#23 0x0000000807607f52 in _ecore_main_loop_iterate_internal (once_only=0) at ecore_main.c:2397
#24 0x00000008076080d1 in ecore_main_loop_begin () at ecore_main.c:1299
#25 0x00000000004433b5 in main (argc=1, argv=0x7fffffffe7c0) at e_main.c:1081
The program is running.  Quit anyway (and detach it)? (y or n) Detaching from program: /usr/local/bin/enlightenment, process 814
netstar created this task.Jun 21 2017, 6:12 PM
stephenmhouston renamed this task from bryce/luncher - remove icon SEGV to bryce - remove clock SEGV.Jun 23 2017, 8:13 AM
stephenmhouston updated the task description. (Show Details)
zmike added a comment.Jun 26 2017, 7:07 AM

So I guess inst->cfg is NULL when this happens?

zmike lowered the priority of this task from High to Pending on user input.Jun 26 2017, 1:29 PM
bu5hm4n moved this task from Backlog to Gadgets on the enlightenment-git board.Jul 4 2017, 7:53 AM

I think this is related to T5693

zmike added a comment.Jul 10 2017, 7:06 AM

This may be resolved in current wip branch

netstar closed this task as Resolved.Jul 10 2017, 8:34 AM

The above is fixed, I'll close this one and reopen should it reappear. thanks!